      module modx
      integer x(10)
      end module modx
 
      program uin8
      use modx
      x(1) = 1
      call sub
      end
 
      subroutine sub
      use modx
      x(3) = x(2)
      print * , x(3)
      end
